/* pbt == productsByType */

.allProds-filterTitle {
    padding: 20px 20px;
}

.pbt-sec {
    width: 100%;
    display: flex;
    justify-content: center;
    /* border: 1px solid black; */
    background-color: white;
}

.pbt-mainFlexCon {
    width: 70%;
    display: flex;
    justify-content: center;
    align-items: stretch;
    flex-wrap: wrap;
    gap: 20px;
}

.pbt-mainFlexItem {
    /* width: calc(100% / 4); */
    /* max-width: 200px; */
    width: 200px;
    /* aspect-ratio: 1 / 1.5; */
    border: 1px solid rgba(0, 0, 0, .15);
    overflow: hidden;
    border-radius: 15px;
}

.pbt-imgCon {
    position: relative;
    width: 100%;
    aspect-ratio: 1/1;
}

.pbt-imgCon > img {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
}

.pbt-imgCon > p {
    display: block;
    position: absolute;
    bottom: 5px;
    left: 10px;
    font-weight: bolder;
    font-size: 16px;
}

.pbt-contentCon {
    /* height calculated by allProds-pbtHeight.js */
    width: 100%;
    padding: 0 25px 25px 25px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    /* border: 1px solid black; */
}

.pbt-contentCon > ul {
    padding: 10px 0 0 10px;
    line-height: 1.5;
    font-size: 14px;
    /* border: 1px solid blue; */
}

.pbt-shopNowBtnCon {
    width: 100%;
    background-color: var(--cs-yellow);
    color: black;
    border-radius: 5px;
    transition: all .5s ease;
    text-align: center;
    padding: 10px;
    margin-top: 10px;
    cursor: pointer;
    /* border: 1px solid purple; */
    position: relative;
}

.pbt-shopNowBtnCon > a {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    /* background-color: green; */
}

@media (hover: hover) {
  .pbt-shopNowBtnCon:hover {
    background: black;
    color: var(--cs-yellow);
  }
}

.prods-sec {
    width: 100%;
    display: flex;
    justify-content: center;
    /* border: 1px solid black; */
    background-color: white;
}

.prodGrid {
  /* -px for margin */
  width: calc(100% - 120px);
  max-width: 1500px;

  display: grid;
  grid-gap: 20px;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  margin: 25px;
  /* border: 1px solid blue; */
}

.prodCon {
    /* border: 1px solid green; */
    border-radius: 10px;
    overflow: hidden;
    position: relative;

}

@media (hover: hover) {
  /* .prodCon:hover { */
    /* border: 1px solid rgba(0, 0, 0, .15); */
    /* box-shadow: inset x-offset y-offset blur-radius spread-radius color; */
    /* box-shadow: 0 0 10px 0px rgb(211, 206, 199); */
  /* } */
  
  /* .prodCon:hover > .imgCon > img {
    border-radius: 10px 10px 0 0;
  } */
  .prodCon:hover > .textCon{
    background-color: var(--cs-gray);
  }
}

.prodCon > .imgCon {
    position: relative;
    /* border: 1px solid red; */
    overflow: hidden;
    aspect-ratio: 1 / 1;
}

.prodCon > .imgCon > img {
    width: 100%;
    height: 100%;
    border-radius: 10px;

}

.prodCon > .textCon {
    padding: 10px;
    /* background-color: var(--cs-gray); */
    border-radius: 10px;
    margin-top: 5px;
}

.prodCon > .textCon > .prodName {
    font-size: 18px;
    font-weight: bolder;
    /* padding: 5px 0 0 0; */
}

.prodCon > .textCon > .price {
    font-size: 20px;
}

.prodCon > .textCon > .price > .yen {
    font-size: 18px;
}

.prodCon > a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /* background-color: rgba(17, 255, 0, 0.15); */
    border-radius: 10px;
    /* border: 1px solid rgba(0, 0, 0, .5); */

}

@media only screen and (max-width: 650px) {
    .pbt-sec {
        display: none;
    }
}